---
title: "Change moderation state of Media"
tags:
- action
- content_moderation
- core action unknown
---
# Change moderation state of Media

Available since: unknown



{!include/plugins/content_moderation/action/moderation_state_change_media.md!}

## Fields

`Workflow`

:   

    {!include/plugins/content_moderation/action/moderation_state_change_media/workflow.md!}

`workflow_submit`

:   

    {!include/plugins/content_moderation/action/moderation_state_change_media/workflow_submit.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">media</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/content_moderation/action/moderation_state_change_media/object.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/content_moderation/action/moderation_state_change_media/replace_tokens.md!}
