---
title: "Send email"
tags:
- action
- core
- core action unknown
---
# Send email

Available since: unknown



{!include/plugins/core/action/action_send_email_action.md!}

## Fields

`Recipient email address`

:   You may also use tokens: [node:author:mail], [comment:author:mail], etc. Separate recipients with a comma.

    {!include/plugins/core/action/action_send_email_action/recipient.md!}

`Subject`

:   The subject of the message.

    {!include/plugins/core/action/action_send_email_action/subject.md!}

`Message`

:   The message that should be sent. You may include placeholders like [node:title], [user:account-name], [user:display-name] and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.

    {!include/plugins/core/action/action_send_email_action/message.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/core/action/action_send_email_action/replace_tokens.md!}
