---
title: "Commerce: Order currency"
tags:
- condition
- eca_commerce
- eca_commerce condition 1.0.0
---
# Commerce: Order currency

Available since: 1.0.0



{!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_currency.md!}

## Fields

`Currencies`

:   Provide a comma separated list of entity IDs.

    {!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_currency/currencies.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_currency/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_currency/entity.md!}
