---
title: "Entity: Set validation error"
tags:
- action
- eca_content
- eca action 2.1.x
---
# Entity: Set validation error

Available since: 2.1.x

Only works when reacting upon <em>Validate content entity</em> events.

{!include/plugins/eca_content/action/eca_content_validation_error.md!}

## Fields

`Error message`

:   <br/>This field supports tokens.

    {!include/plugins/eca_content/action/eca_content_validation_error/message.md!}

`Property path`

:   The optional property path on the entity, where to set the validation error. This may be the machine name of a field (e.g. <em>body</em>) or a property of a field. Example: <em>body.0.value</em><br/>This field supports tokens.

    {!include/plugins/eca_content/action/eca_content_validation_error/property.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_content_validation_error/object.md!}
