---
title: "Entity: get default field value"
tags:
- action
- eca_content
- eca action 2.0.0
---
# Entity: get default field value

Available since: 2.0.0

Get the default value of any field in an entity and store it as a token.

{!include/plugins/eca_content/action/eca_get_default_field_value.md!}

## Fields

`Field name`

:   The machine name of the field, that holds the value.<br/>This field supports tokens.

    {!include/plugins/eca_content/action/eca_get_default_field_value/field_name.md!}

`Name of token`

:   The field value will be loaded into this specified token. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_get_default_field_value/token_name.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_get_default_field_value/object.md!}
