---
title: "Prepare content entity form"
tags:
- event
- eca_content
- eca event 1.0.0
---
# Prepare content entity form

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[form]` | The current form.<br /> Alias: `current_form` |
    | `[form:id]` | The form ID. |
    | `[form:base_id]` | The form base ID. |
    | `[form:operation]` | The form operation. |
    | `[form:mode]` | The form mode. |
    | `[form:triggered]` | The form field name that triggered the form event. |
    | `[form:values]` |  |
    | `[form:values:FIELD_NAME]` | The field value for each of the named fields. |
    | `[form:num_errors]` | The number of form errors. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_content/event/content_entity_prepareform.md!}

## Fields

`Type (and bundle)`

:   

    {!include/plugins/eca_content/event/content_entity_prepareform/type.md!}
