---
title: "Ajax Response: set dialog option"
tags:
- action
- eca_endpoint
- eca action 2.0.0
---
# Ajax Response: set dialog option

Available since: 2.0.0



{!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_set_dialog_option.md!}

## Fields

`Selector`

:   The selector of the dialog whose title will be set. If set to an empty value, the default modal dialog will be selected.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_set_dialog_option/selector.md!}

`Name`

:   The name of the option to set. May be any jQuery UI dialog option. See https://api.jqueryui.com/dialog.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_set_dialog_option/name.md!}

`Value`

:   The value of the option to be passed to the dialog.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_set_dialog_option/value.md!}
