---
title: "Form: add container element"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: add container element

Available since: 1.0.0

Adds a div block element to the form for surrounding child elements.

{!include/plugins/eca_form/action/eca_form_add_container_element.md!}

## Fields

`Element name`

:   The element name is a machine name and is used for being identified when rendering the form. Example: <em>name_info</em>

    {!include/plugins/eca_form/action/eca_form_add_container_element/name.md!}

`Optional`

:   Indicates whether the container should render when it has no visible children.

    {!include/plugins/eca_form/action/eca_form_add_container_element/optional.md!}

`Element weight`

:   The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_form/action/eca_form_add_container_element/weight.md!}
