---
title: "Entity form: build entity"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Entity form: build entity

Available since: 1.0.0

Build an entity from submitted form input and store the result as a token.

{!include/plugins/eca_form/action/eca_form_build_entity.md!}

## Fields

`Name of token`

:   The built entity will be stored into this specified token. Please note: An entity can only be built when a form got submitted. Example events where it works: <em>Validate form</em>, <em>Submit form</em>. Please provide the token name only, without brackets.

    {!include/plugins/eca_form/action/eca_form_build_entity/token_name.md!}
