---
title: " Repositories: protect Branch"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Repositories: protect Branch

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_protectbranch.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:repositories_protectbranch_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_protectbranch/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_protectbranch/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_protectbranch/api_project_id.md!}

`Branch`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_protectbranch/api_branch.md!}

`Devpush`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_protectbranch/api_devPush.md!}

`Devmerge`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_protectbranch/api_devMerge.md!}
