---
title: "Allow new routes"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Allow new routes

Available since: 1.0.0

Fires during route collection to allow new routes.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_misc/event/routing_dynamic.md!}

