---
title: "Route building finished"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Route building finished

Available since: 1.0.0

Fires, when route building has ended.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_misc/event/routing_finished.md!}

