---
title: "Alter source plugin info"
tags:
- event
- eca_project_browser
- eca event 2.1.2
---
# Alter source plugin info

Available since: 2.1.2

Fires during project browser source plugin alter.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_project_browser/event/project_browser_source_info_alter.md!}

