---
title: "Tamper: Copy"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Copy

Available since: 1.0.0

Copy value from one source to another.

{!include/plugins/eca_tamper/action/eca_tamper_copy.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_copy/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_copy/eca_token_name.md!}

`To or from`

:   Select whether this source value should be copied <em>to</em> another source, or <em>from</em> another source to this one.

    {!include/plugins/eca_tamper/action/eca_tamper_copy/to_from.md!}

`Source`

:   List of sources accessible for copying.

    {!include/plugins/eca_tamper/action/eca_tamper_copy/copy_source.md!}
