---
title: "Tamper: Math"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Math

Available since: 1.0.0

Performs basic mathematical calculations on the imported value.

{!include/plugins/eca_tamper/action/eca_tamper_math.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_math/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_math/eca_token_name.md!}

`Operation`

:   The operation to apply to the imported value.

    {!include/plugins/eca_tamper/action/eca_tamper_math/operation.md!}

`Flip`

:   Normally, the feed item will be processed like input-value / setting-value. This option switches the order so that it is setting-value / input-value.

    {!include/plugins/eca_tamper/action/eca_tamper_math/flip.md!}

`Value`

:   A numerical value.

    {!include/plugins/eca_tamper/action/eca_tamper_math/value.md!}
