---
title: "Tamper: Rewrite"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Rewrite

Available since: 1.0.0

Rewrite a field using tokens.

{!include/plugins/eca_tamper/action/eca_tamper_rewrite.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_rewrite/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_rewrite/eca_token_name.md!}

`Replacement pattern`

:   

    {!include/plugins/eca_tamper/action/eca_tamper_rewrite/text.md!}

`Available replacement patterns`

:   

    {!include/plugins/eca_tamper/action/eca_tamper_rewrite/help.md!}
