---
title: "Tamper: Strip tags"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Strip tags

Available since: 1.0.0

Strip tags.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:strip_tags_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:strip_tags_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags/negate.md!}

`Allowed tags`

:   A list of allowed tags such as <em class="placeholder">&lt;a&gt;</em><em class="placeholder">&lt;em&gt;</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags/allowed_tags.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strip_tags/right.md!}
