---
title: "Group: remove user as member"
tags:
- action
- group_action
- group_action action unknown
---
# Group: remove user as member

Available since: unknown



{!include/plugins/group_action/action/group_remove_member.md!}

## Fields

`Group ID / UUID`

:   The numerical or universally unique ID of the group. This field supports tokens.

    {!include/plugins/group_action/action/group_remove_member/group_id.md!}

`Entity ID / UUID`

:   The entity ID. Supports tokens. Leave blank to use the entity this action will operate on.

    {!include/plugins/group_action/action/group_remove_member/entity_id.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">user</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/group_action/action/group_remove_member/object.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/group_action/action/group_remove_member/replace_tokens.md!}
