---
title: "Compare number of list items"
tags:
- condition
- eca_base
- eca condition 1.0.0
---
# Compare number of list items

Available since: 1.0.0

Condition to compare the number of list items.

{!include/plugins/eca_base/condition/eca_count.md!}

## Fields

`Name of token containing the list`

:   Provide the name of the token that contains a list from which the number of items should be counted.

    {!include/plugins/eca_base/condition/eca_count/left.md!}

`Second value`

:   The second value to be compared.

    {!include/plugins/eca_base/condition/eca_count/right.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_count_operator</em>

    {!include/plugins/eca_base/condition/eca_count/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_count_type</em>

    {!include/plugins/eca_base/condition/eca_count/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_base/condition/eca_count/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_base/condition/eca_count/negate.md!}
