---
title: "List: contains item"
tags:
- condition
- eca_base
- eca condition 2.0.0
---
# List: contains item

Available since: 2.0.0

Evaluate whether a certain item is in a list.

{!include/plugins/eca_base/condition/eca_list_contains.md!}

## Fields

`Name of token containing the list`

:   Provide the name of the token that contains a list of items. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/condition/eca_list_contains/list_token.md!}

`Method`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_list_contains_method</em>

    {!include/plugins/eca_base/condition/eca_list_contains/method.md!}

`Value to lookup`

:   

    {!include/plugins/eca_base/condition/eca_list_contains/value.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_base/condition/eca_list_contains/negate.md!}
