---
title: "ECA custom event"
tags:
- event
- eca_base
- eca event 1.0.0
---
# ECA custom event

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[VARIOUS]` | All tokens forwarded by the dispatcher. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_base/event/eca_base_eca_custom.md!}

## Fields

`Event ID`

:   The custom event ID. Leave empty to trigger all custom events.

    {!include/plugins/eca_base/event/eca_base_eca_custom/event_id.md!}
