---
title: "Config: read"
tags:
- action
- eca_config
- eca action 1.0.0
---
# Config: read

Available since: 1.0.0

Read configuration and store it as a token.

{!include/plugins/eca_config/action/eca_config_read.md!}

## Fields

`Include overridden`

:   Whether to apply module and settings.php overrides to values.

    {!include/plugins/eca_config/action/eca_config_read/include_overridden.md!}

`Name of token`

:   The targeted configuration value will be loaded into this specified token. Please provide the token name only, without brackets.

    {!include/plugins/eca_config/action/eca_config_read/token_name.md!}

`Config name`

:   The config name, for example <em>system.site</em>.

    {!include/plugins/eca_config/action/eca_config_read/config_name.md!}

`Config key`

:   The config key, for example <em>page.front</em>. Leave empty to use the whole config.

    {!include/plugins/eca_config/action/eca_config_read/config_key.md!}
