---
title: "Ajax Response: open modal dialog"
tags:
- action
- eca_endpoint
- eca action 2.0.0
---
# Ajax Response: open modal dialog

Available since: 2.0.0



{!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_open_modal_dialog.md!}

## Fields

`Title`

:   The title of the dialog.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_open_modal_dialog/title.md!}

`Content`

:   The content to be inserted.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_open_modal_dialog/content.md!}

`Dialog options`

:   Options in YAML format to be passed to the dialog implementation. Any jQuery UI option can be used. See https://api.jqueryui.com/dialog.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_open_modal_dialog/options.md!}

`Settings`

:   Custom settings in YAML format that will be passed to the Drupal behaviors on the content of the dialog. If left empty, the settings will be populated automatically from the current request.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_open_modal_dialog/settings.md!}
