---
title: " Users: remove User Identity"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Users: remove User Identity

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_removeuseridentity.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:users_removeuseridentity_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_removeuseridentity/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_removeuseridentity/token_name.md!}

`User Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_removeuseridentity/api_user_id.md!}

`Provider`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_removeuseridentity/api_provider.md!}
