---
title: "Render: text"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: text

Available since: 1.1.0

Build a renderable text element.

{!include/plugins/eca_render/action/eca_render_text_filter.md!}

## Fields

`Text`

:   <br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_text_filter/text.md!}

`Filter format`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_text:filter_format</em>

    {!include/plugins/eca_render/action/eca_render_text_filter/format.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_text_filter/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_text_filter/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_text_filter/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_text:filter_mode</em>

    {!include/plugins/eca_render/action/eca_render_text_filter/mode.md!}
