---
title: "Tamper: Country to ISO code"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Country to ISO code

Available since: 1.0.0

Converts this field from a country name string to the two character ISO 3166-1 alpha-2 code.

{!include/plugins/eca_tamper/action/eca_tamper_country_to_code.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_country_to_code/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_country_to_code/eca_token_name.md!}
