---
title: "Tamper: Unix timestamp to Date"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Unix timestamp to Date

Available since: 1.0.0

Unix timestamp to Date

{!include/plugins/eca_tamper/action/eca_tamper_timetodate.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_timetodate/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_timetodate/eca_token_name.md!}

`Date format`

:   A user-defined php date format string like "m-d-Y H:i". See the <a href="http://www.php.net/manual/function.date.php">PHP manual</a> for available options.

    {!include/plugins/eca_tamper/action/eca_tamper_timetodate/date_format.md!}
