---
title: "Tamper: Convert to Boolean"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Convert to Boolean

Available since: 1.0.0

Convert to boolean.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:convert_boolean_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:convert_boolean_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/negate.md!}

`Truth`

:   The value set to true.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/true_value.md!}

`False`

:   The value set to false.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/false_value.md!}

`Match case`

:   Match the case.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/match_case.md!}

`If no match`

:   The value to set if the true and false values do not match.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/no_match_value.md!}

`Other text`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/other_text.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_boolean/right.md!}
