---
title: "Tamper: Pad a string"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Pad a string

Available since: 1.0.0

Pad a string

{!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:str_pad_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:str_pad_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/negate.md!}

`Pad length`

:   If the input value has a length less than this, it will use the string below to increase the length.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/pad_length.md!}

`Pad string`

:   The string to use for padding. If blank, a space will be used.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/pad_string.md!}

`Pad type`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/pad_type.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pad/right.md!}
