---
title: "Tamper: Unix timestamp to Date"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Unix timestamp to Date

Available since: 1.0.0

Unix timestamp to Date

{!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:timetodate_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:timetodate_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate/negate.md!}

`Date format`

:   A user-defined php date format string like "m-d-Y H:i". See the <a href="http://www.php.net/manual/function.date.php">PHP manual</a> for available options.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate/date_format.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timetodate/right.md!}
