---
title: "Entity workflow Editorial: transition"
tags:
- action
- eca_workflow
- eca action 1.0.0
---
# Entity workflow Editorial: transition

Available since: 1.0.0



{!include/plugins/eca_workflow/action/eca_workflow_transition_editorial.md!}

## Fields

`New state`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_workflow_transition:editorial_new_state</em>

    {!include/plugins/eca_workflow/action/eca_workflow_transition_editorial/new_state.md!}

`Revision Log`

:   

    {!include/plugins/eca_workflow/action/eca_workflow_transition_editorial/revision_log.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_workflow/action/eca_workflow_transition_editorial/object.md!}
